Creates a new job_estimated_quantity object
Request Information
URI Parameters :
None.
Body Parameters :
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "40e3fb3a-1d4f-4a33-89cb-0a470fa6d00a",
"estimated_quantity": 2.0,
"article_id": "a26f7c58-8e6e-4b3c-bc98-83e669f48e85",
"article_code": "sample string 4",
"article": {
"id": "377cb795-33bd-4d68-b53f-27813ef29353",
"article_category_id": "ab74f1b5-267b-45ca-a278-25d793f2c8f9",
"article_category": {
"id": "727e2cc8-cd0b-40f5-84eb-e9e617241496",
"parent_id": "f1118681-1c54-4224-b73a-4a31176fc4e9",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "30cf3e06-b160-42b3-a1ec-61d06aabe308",
"article_group_1_code": "sample string 5",
"article_group_2_id": "e1543631-e3e4-4b1a-bc19-6dda8f2e8bcb",
"article_group_2_code": "sample string 7",
"article_group_3_id": "348f7fee-e908-4d9e-888a-b0cefda13932",
"article_group_3_code": "sample string 9",
"article_group_4_id": "2eab8aab-7cde-4c96-9439-c2ba324f8bf5",
"article_group_4_code": "sample string 11",
"article_group_5_id": "02a38d52-7f74-4b13-b86d-7fa5a7e07453",
"article_group_5_code": "sample string 13",
"article_group_6_id": "57f37dc7-5a68-44b4-804f-305127e80751",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-13T15:07:15.1079607+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-13T15:07:15.1079607+00:00",
"date_update": "2026-11-13T15:07:15.1079607+00:00",
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00",
"article_color_id": "b83e5a6c-ca60-4373-8ffa-19ec84f3a404",
"article_color_code": "sample string 38",
"article_color": {
"id": "0c02f1cb-7962-4673-a203-cde3342a8eb2",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "2ca5a806-6dfe-4803-9822-78477527ed39",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "b3a13458-38b1-47a9-b05f-14e1870e2f82",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "01c2b686-84da-443e-af6c-59f37a95ad6e",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "1f7f58d1-5495-4541-8596-51f452677988",
"_parent_id": "67a5e3f1-a18a-4451-935c-a2b93f409acd",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "8dc1e2ce-6d4c-4122-93f2-7760484ddcbd",
"project_reference_back_office": "sample string 5",
"project": {
"id": "4089ff43-3732-45ba-9f41-f248a40151f3",
"_parent_id": "ef4ece59-c7b8-47e4-9878-767a796c57bd",
"root_parent_id": "05d94738-31da-4ca0-84a9-404b1aca7c77",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "6b646435-fedd-44a4-a4c5-6a566b130117",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "dff71e3f-1a22-44bb-9f6f-11d503fdc51c",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "ec5cd471-a06f-4b7a-b6e9-41bd51233164",
"_parent_code": "sample string 6",
"sales_organization_id": "b116e5b9-4943-45ab-85ed-66797dea0660",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "887525a3-63c7-4588-9195-76dde4792957",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b00a25e8-56f6-4ba8-bd58-504f2cbde34a",
"db_currency_id": "7d2d2375-4794-4f89-b426-55d7bc7eb05c",
"db_language_id": "833d4f40-0713-4846-94bf-24c46b8e55e5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"equipment_model_id": "6e15a230-e1b7-4fac-a909-9430b3f81e80",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "b46aa9dc-a34b-4232-98ae-f11539c68402",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "9cb620cb-b3b5-43ef-bc65-b189036d4629",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "889e58f8-065f-4cc7-a47d-1c6d30f575e6",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "ffa3c631-85cf-4298-9924-91c5fe006fbe",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "887525a3-63c7-4588-9195-76dde4792957",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b00a25e8-56f6-4ba8-bd58-504f2cbde34a",
"db_currency_id": "7d2d2375-4794-4f89-b426-55d7bc7eb05c",
"db_language_id": "833d4f40-0713-4846-94bf-24c46b8e55e5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"equipment_family_id": "6f715aa8-3ca6-465f-bd7c-cf82a4b2bb57",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "dff71e3f-1a22-44bb-9f6f-11d503fdc51c",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "ec5cd471-a06f-4b7a-b6e9-41bd51233164",
"_parent_code": "sample string 6",
"sales_organization_id": "b116e5b9-4943-45ab-85ed-66797dea0660",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "887525a3-63c7-4588-9195-76dde4792957",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b00a25e8-56f6-4ba8-bd58-504f2cbde34a",
"db_currency_id": "7d2d2375-4794-4f89-b426-55d7bc7eb05c",
"db_language_id": "833d4f40-0713-4846-94bf-24c46b8e55e5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"date_in_production_since": "2026-11-13T15:07:15.1079607+00:00",
"date_out_of_production_since": "2026-11-13T15:07:15.1079607+00:00",
"date_end_support": "2026-11-13T15:07:15.1079607+00:00",
"sales_organization_id": "9385bb82-f8c0-4b77-8265-17a1958c2970",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "887525a3-63c7-4588-9195-76dde4792957",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b00a25e8-56f6-4ba8-bd58-504f2cbde34a",
"db_currency_id": "7d2d2375-4794-4f89-b426-55d7bc7eb05c",
"db_language_id": "833d4f40-0713-4846-94bf-24c46b8e55e5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"project_status_id": "fa4662c0-5737-49ae-b4c7-77353fed0f4b",
"project_status_code": "sample string 10",
"project_status": {
"id": "6467fccb-bd85-45fc-9058-52ee47c9059f",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "ee7d0db4-d951-407a-921d-d28b46fdd234",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "887525a3-63c7-4588-9195-76dde4792957",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b00a25e8-56f6-4ba8-bd58-504f2cbde34a",
"db_currency_id": "7d2d2375-4794-4f89-b426-55d7bc7eb05c",
"db_language_id": "833d4f40-0713-4846-94bf-24c46b8e55e5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"company_id": "14140330-5507-4dfa-be46-5f659231c093",
"company_code": "sample string 12",
"db_address_id": "261cca81-b3d3-4036-b643-210c2a9d9e7d",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "f101c009-2549-4031-9283-b3526fa544aa",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "abc5d170-6882-4af4-a15e-4b33d1f5f711",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-13T15:07:15.1261576+00:00",
"date_create": "2026-11-13T15:07:15.1261576+00:00",
"date_update": "2026-11-13T15:07:15.1261576+00:00",
"updated_by_user_id": "0643bdf8-3f63-4de4-9a4f-cd02d9c4cb84",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-13T15:07:15.1261576+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-13T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-13T15:07:15.1261576+00:00",
"date_last_job": "2026-11-13T15:07:15.1261576+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-13T15:07:15.1261576+00:00",
"modified_dateutc": "2026-11-13T15:07:15.1261576+00:00",
"is_mobile_installation": true
},
"job_type_id": "23ac64d4-1e15-4095-a492-f09b4637380d",
"job_type_code": "sample string 7",
"job_type": {
"id": "f28b215f-265a-4283-b2f0-926175899408",
"name": "sample string 2",
"sales_organization_id": "93c4ad88-0535-4e7d-b0fc-a07be98a0943",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-13T15:07:15.1261576+00:00",
"code": "sample string 7"
},
"job_priority_id": "f8ab5295-56e0-4bff-a0e9-7665a1e676fb",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "6ecf0deb-8b79-4d80-a4ed-ec4aa2f8da51",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "6fed2ceb-df57-4a42-8915-76d620c3f112",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "887525a3-63c7-4588-9195-76dde4792957",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b00a25e8-56f6-4ba8-bd58-504f2cbde34a",
"db_currency_id": "7d2d2375-4794-4f89-b426-55d7bc7eb05c",
"db_language_id": "833d4f40-0713-4846-94bf-24c46b8e55e5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-13T15:07:15.1261576+00:00"
},
"job_status_id": "eef1d308-3ae8-45f8-9f0e-82d7167922ed",
"job_status_code": "sample string 11",
"db_address_id": "1a060c00-b123-4a72-b027-fbdea5d290eb",
"contact_id": "cac34d97-43ed-4b1a-a6bd-aab479b8aa0c",
"requested_by_company_id": "5ad94851-8779-4a56-97db-766bb7633274",
"requested_by_contact_id": "a3534269-0671-43bd-8d99-293e73adcef8",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-13T15:07:15.1261576+00:00",
"due_date": "2026-11-13T15:07:15.1261576+00:00",
"date_create": "2026-11-13T15:07:15.1261576+00:00",
"date_update": "2026-11-13T15:07:15.1261576+00:00",
"date_closed": "2026-11-13T15:07:15.1261576+00:00",
"suggested_user_id": "58107492-a2f1-4031-aaf2-a3899810137a",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "b63324a1-6909-4963-ab05-661a7832a63d",
"db_language_id": "e878349d-416e-4009-b480-3c8d61ad693f",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-13T15:07:15.1261576+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "aac2ac50-f813-4448-8fa8-5670914f1591",
"sales_organization": {
"id": "887525a3-63c7-4588-9195-76dde4792957",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b00a25e8-56f6-4ba8-bd58-504f2cbde34a",
"db_currency_id": "7d2d2375-4794-4f89-b426-55d7bc7eb05c",
"db_language_id": "833d4f40-0713-4846-94bf-24c46b8e55e5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "33bbf034-8a31-49fd-ac5b-72d90f614b4b",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "20502717-6dad-4877-bd7c-5f616a8d1a1f",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-13T15:07:15.1261576+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "d49e9073-f5af-407d-a9c5-d9e1c4738140"
},
"suggested_date_start": "2026-11-13T15:07:15.1261576+00:00",
"skill_id": "f3722d8d-d5eb-4ceb-ad58-c74300e65a65",
"skill_code": "sample string 32",
"skill": {
"id": "408af01d-de00-4ce4-a676-8efb5f37f299",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "3ddc0285-c30c-4e80-a979-8420cbd9eb20",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "887525a3-63c7-4588-9195-76dde4792957",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b00a25e8-56f6-4ba8-bd58-504f2cbde34a",
"db_currency_id": "7d2d2375-4794-4f89-b426-55d7bc7eb05c",
"db_language_id": "833d4f40-0713-4846-94bf-24c46b8e55e5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:07:15.1079607+00:00"
},
"modified_dateutc": "2026-11-13T15:07:15.1261576+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "75ad6967-f4ef-4b53-aec7-3b57d6243f31",
"date_reported_by_company": "2026-11-13T15:07:15.1261576+00:00",
"id2": 36,
"company_id": "d4e313a9-9174-492a-be4e-2b1005a761a6",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "c9a6fa0f-21fb-4f45-8e47-ebda338a3b8d",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-13T15:07:15.1261576+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-13T15:07:15.1261576+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.